Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode
Class KeyEvent

    java.lang.Object
      robocode.Event
          robocode.KeyEvent

All Implemented Interfaces:
  Serializable, Comparable

Direct Known Subclasses:
  KeyPressedEvent, KeyReleasedEvent, KeyTypedEvent

    public abstract class KeyEvent

extends Event

Super class of all events that originates from the keyboard.

Since:
  1.6.1
Author:
  Pavel Savara (original)
See Also:
  Serialized Form

Constructor Summary
`KeyEvent(KeyEvent source)` Called by the game to create a new KeyEvent.

Method Summary
`KeyEvent` | `getSourceEvent()` Do not call this method!

Methods inherited from class robocode.Event
`compareTo, getPriority, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyEvent

    public KeyEvent(KeyEvent source)

  Called by the game to create a new KeyEvent.

  Parameters:
    `source` - the source key event originating from the AWT.

Method Detail

### getSourceEvent

    public KeyEvent getSourceEvent()

  Do not call this method!

  This method is used by the game to determine the type of the source key event that occurred in the AWT.

  Returns:
    the source key event that originates from the AWT.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Robocode. All Rights Reserved.